Subject: bug#46670: 28.0.50; [feature/native-comp] possible miscompilation affecting lsp-mode

From: Pip Cet <[email-masked]>
Date: Mon, 1 Mar 2021 06:40:46 +0000

On Mon, Mar 1, 2021 at 5:24 AM Richard Stallman <[email-masked]> wrote:
>   > You're using "sound" to mean "superficially correct". I understood it
>   > to have its mathematical (and legal) meaning, "irrefutably correct".
>
> I was not following this thread, but here
>
>   > > > I take it you've read through the code, understood it all, and
>   > > > concluded the reasons were "sound", then?
>
> you seem to be talking about judging the reasons to make a change.

We're not, no. We're talking about the reasons given to justify the
claim that a pseudo-insn emitted by the compiler is not "suspicious".

To say those reasons are "sound" is to say that my initial objection
to the pseudo-insn was answered by the explanation proffered and is
now obviously invalid. I think it's a matter of further discussion,
not that it is, at this point, obviously valid.

(As it turns out, my objection was valid, at least in part. A small
number of the problematic assumptions are now, apparently, no longer
being emitted.)

Pip